Bug 4259

Summary: Allow for sorting of Announcements
Product: OJS Reporter: James MacGregor <jmacgreg>
Component: User InterfaceAssignee: PKP Support <pkp-support>
Status: RESOLVED FIXED    
Severity: enhancement CC: alec, juan, mattcrider, ramon, rootl
Priority: P5    
Version: 2.4.3   
Hardware: PC   
OS: Mac OS X 10.3   
Version Reported In: Also Affects:

Description James MacGregor 2009-05-07 13:20:39 PDT
Allow for sorting of announcements. This could conceivably be done in one of two ways: 

- have the publish date be the default sort mechanism, but allow the Journal Manager to resort by using up and down arrows;

- have the publish date be the only sort mechanism, but allow the Journal Manager to manually reset the publish date.
Comment 1 Juan Pablo Alperin 2009-05-07 13:35:19 PDT
it seems that sorting of announcements is unnecessary.  Announcements are typically news events that get published every so often and have a chronological order. I know there was someone in the forum that wanted this, but I doubt there are many others that would make use of it.  

Then again, probably not that much work to implement anyway.
Comment 2 Matthew Crider 2009-05-07 13:38:39 PDT
Perhaps this could be addressed by what Ryan Yeske is working on (sorting lists via drag-and-drop with jQuery)?
Comment 3 James MacGregor 2009-05-07 13:48:08 PDT
Forum thread here: http://pkp.sfu.ca/support/forum/viewtopic.php?f=2&t=4465&p=17430#p17430 -- apologies for not including orginally. 

I would definitely consider this low priority, but then again if it's not a major change I think it might be useful to others. However, it might be worth carefully considering whether the user's problem could be better solved by perhaps keeping track of said info in the main homepage text field -- announcements are ordered by publish date for a reason (same thing as blog posts etc.), and we may not want to mess with that.
Comment 4 Ramon Fonseca 2009-12-15 10:14:08 PST
Hello all,

Other enhancements to the Announcements would be to separate the "section/category" from the title, and allow grouping and displaying announcements by category as well as date.

It makes sense to display the categories as links as well, which would demand a secondary list page, with ordering options, much like any other CMS does.

The announcements were probably not conceived as a "blog" or news section, but it seems it's what editors may need: a place to publish relevant content that is not peer-reviewed.

If I knew how, I would implement it, as I'm thinking about adding this feature to our journals, but as always, don't even know where to start...
Comment 5 Alec Smecher 2013-10-25 09:37:35 PDT
Implemented. Patch can be applied against OJS 2.4.2, and should be applied from the lib/pkp subdirectory.
Comment 6 Alec Smecher 2013-10-25 09:38:03 PDT
Allow modification of announcement date posted
https://github.com/pkp/pkp-lib/commit/7d6ac60109271220f6808abf79f0e2ced49ba30e